Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolBarUI.FrameListener

- java.lang.Object
- - java.awt.event.WindowAdapter
  - - javax.swing.plaf.basic.BasicToolBarUI.FrameListener

All Implemented Interfaces:
  WindowFocusListener, WindowListener, WindowStateListener, EventListener

Enclosing class:
  BasicToolBarUI

    protected class BasicToolBarUI.FrameListener
    extends WindowAdapter

The class listens for window events.

### Constructor Summary

Constructors
`protected` `FrameListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `windowClosing(WindowEvent w)` Invoked when a window is in the process of being closed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.awt.event.WindowAdapter

`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

### Constructor Detail

#### FrameListener

    protected FrameListener()

### Method Detail

#### windowClosing

    public void windowClosing(WindowEvent w)

Description copied from class: `WindowAdapter`
Invoked when a window is in the process of being closed. The close operation can be overridden at this point.

Specified by:
  `windowClosing` in interface `WindowListener`
Overrides:
  `windowClosing` in class `WindowAdapter`
Parameters:
  `w` - the event to be processed